Package com.sas.lsaf.content.repository

## Class RepositoryItemRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sas.lsaf.core.AbstractRuntimeException
        - - com.sas.lsaf.content.repository.RepositoryRuntimeException
          - - com.sas.lsaf.content.repository.RepositoryItemRuntimeException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `RepositoryContextTypeDisabledException`, `RepositoryItemCheckedoutException`, `RepositoryItemIllegalStateException`, `RepositoryItemLockedException`

      public abstract class RepositoryItemRuntimeException
      extends RepositoryRuntimeException

  The root of the hierarchy of all runtime repository item exceptions. Thrown when manipulating or accessing individual repository items.

  Abstract because this exception should not be constructed directly. Rather, a more detailed subclass should be constructed and thrown.

  Since:
    2.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryItemRuntimeException​(java.lang.String path, java.lang.String message)` | Constructs a `RepositoryItemRuntimeException` with the specified path and message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPath()` | Gets the path in the repository that raised the exception.

    - ### Methods inherited from class com.sas.lsaf.core.AbstractRuntimeException

      `getMessage, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryItemRuntimeException

          public RepositoryItemRuntimeException​(java.lang.String path,
                                                java.lang.String message)

      Constructs a `RepositoryItemRuntimeException` with the specified path and message.
      Parameters:
        `path` - The path to the repository item.
        `message` - The detail message (which is saved for later retrieval by `AbstractRuntimeException.getMessage()`).

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

      Gets the path in the repository that raised the exception.
      Returns:
        The path in the repository that raised the exception.